package com.huashe.park.core.service;

import com.huashe.park.domain.entity.ParkAttendGroup;

import java.util.List;

/**
 * 考勤组Service接口
 *
 * @author ruoyi
 * @date 2025-01-08
 */
public interface IParkAttendGroupService {
    /**
     * 查询考勤组
     *
     * @param id 考勤组主键
     * @return 考勤组
     */
    ParkAttendGroup selectParkAttendGroupById(Long id);

    /**
     * 查询考勤组列表
     *
     * @param parkAttendGroup 考勤组
     * @return 考勤组集合
     */
    List<ParkAttendGroup> selectParkAttendGroupList(ParkAttendGroup parkAttendGroup);

    /**
     * 新增考勤组
     *
     * @param parkAttendGroup 考勤组
     * @return 结果
     */
    int insertParkAttendGroup(ParkAttendGroup parkAttendGroup);

    /**
     * 修改考勤组
     *
     * @param parkAttendGroup 考勤组
     * @return 结果
     */
    int updateParkAttendGroup(ParkAttendGroup parkAttendGroup);

    /**
     * 批量删除考勤组
     *
     * @param ids 需要删除的考勤组主键集合
     * @return 结果
     */
    int deleteParkAttendGroupByIds(Long[] ids);

    /**
     * 删除考勤组信息
     *
     * @param id 考勤组主键
     * @return 结果
     */
    int deleteParkAttendGroupById(Long id);
}
